Subject: [PATCH 2/3] mtd: atmel nand: fix build warning on 64-bit

From: [email-masked] (Boris Brezillon)
Date: Tue, 17 Jul 2018 23:08:39 +0200

On Tue, 17 Jul 2018 23:05:23 +0200
Miquel Raynal <[email-masked]> wrote:

> Hi Arnd,
> 
> Arnd Bergmann <[email-masked]> wrote on Fri, 13 Jul 2018 12:16:09 +0200:
> 
> > On Fri, Jul 13, 2018 at 11:56 AM, Tudor Ambarus
> > <[email-masked]> wrote:  
> > > Hi, Arnd,
> > >
> > > On 07/09/2018 06:57 PM, Arnd Bergmann wrote:    
> > >> +     nc->ebi_csa_offs = (uintptr_t)match->data;    
> > >
> > > I guess we should declare ebi_csa_offs as size_t, right?    
> > 
> > Yes, that would make sense, though it doesn't change the behavior.
> >   
> 
> Do you plan to send a new version? I don't want to mess with
> improvised casts :)

This fix is already part of my COMPILE_TEST series (v2), and I don't
thing declaring ->ebi_csa_offs as a size_t is useful.